## com.imcode.imcms.servlet.superadmin
Class DocumentReferences

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.imcode.imcms.servlet.superadmin.DocumentReferences

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class DocumentReferences

extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_ATTRIBUTE__DOCUMENT_MENU_PAIRS`
`static java.lang.String` `REQUEST_PARAMETER__BUTTON_RETURN`
`static java.lang.String` `REQUEST_PARAMETER__REFERENCED_DOCUMENT_ID`
`static java.lang.String` `REQUEST_PARAMETER__RETURNURL`

Constructor Summary
`DocumentReferences()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__REFERENCED_DOCUMENT_ID

    public static final java.lang.String REQUEST_PARAMETER__REFERENCED_DOCUMENT_ID

See Also:
  Constant Field Values

### REQUEST_PARAMETER__RETURNURL

    public static final java.lang.String REQUEST_PARAMETER__RETURNURL

See Also:
  Constant Field Values

### REQUEST_PARAMETER__BUTTON_RETURN

    public static final java.lang.String REQUEST_PARAMETER__BUTTON_RETURN

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE__DOCUMENT_MENU_PAIRS

    public static final java.lang.String REQUEST_ATTRIBUTE__DOCUMENT_MENU_PAIRS

See Also:
  Constant Field Values

Constructor Detail

### DocumentReferences

    public DocumentReferences()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`